Package be.fgov.ehealth.technicalconnector.ra.mapper

# Interface RaMapper

All Known Implementing Classes:
  `RaMapperSelmaGeneratedClass`

public interface RaMapper

See Also:
  - `RaMapperSelmaGeneratedClass`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActorQualities`
  `asActorQualities(GetActorQualitiesResponse source)`
  `Certificate`
  `asCertificate(GenerateCertificateResponse source)`
  `ContactDataType`
  `asContactDataType(ContactData source)`
  `ContractType`
  `asContractType(NewCertificateContract source)`
  `GenerateContractRequest`
  `asGenerateContractRequest(ContractRequest source)`
  `GenerateRevocationContractRequest`
  `asGenerateContractRequest(RevocationContractRequest source)`
  `GeneratedContract`
  `asGeneratedContract(ContractType source)`
  `Organization`
  `asOrganization(OrganizationType source)`
  `GeneratedRevocationContract`
  `asRevocationContract(RevocationContractType source)`
  `RevokeRequest`
  `asRevokeRequest(RevocationRequest source)`
  `SubmitCSRForForeignerRequest`
  `asSubmitCSRForForeignerRequest(ForeignerRequest source)`
  `SubmitCSRForForeignerResponseInfo`
  `asSubmitCSRForForeignerResponseInfo(SubmitCSRForForeignerResponse source)`

- ## Method Details

  - ### asOrganization

    Organization asOrganization(OrganizationType source)

  - ### asContractType

    ContractType asContractType(NewCertificateContract source)

  - ### asGenerateContractRequest

    GenerateContractRequest asGenerateContractRequest(ContractRequest source)

  - ### asCertificate

    Certificate asCertificate(GenerateCertificateResponse source)

  - ### asGeneratedContract

    GeneratedContract asGeneratedContract(ContractType source)

  - ### asSubmitCSRForForeignerRequest

    SubmitCSRForForeignerRequest asSubmitCSRForForeignerRequest(ForeignerRequest source)

  - ### asContactDataType

    ContactDataType asContactDataType(ContactData source)

  - ### asRevocationContract

    GeneratedRevocationContract asRevocationContract(RevocationContractType source)

  - ### asSubmitCSRForForeignerResponseInfo

    SubmitCSRForForeignerResponseInfo asSubmitCSRForForeignerResponseInfo(SubmitCSRForForeignerResponse source)

  - ### asActorQualities

    ActorQualities asActorQualities(GetActorQualitiesResponse source)

  - ### asGenerateContractRequest

    GenerateRevocationContractRequest asGenerateContractRequest(RevocationContractRequest source)

  - ### asRevokeRequest

    RevokeRequest asRevokeRequest(RevocationRequest source)